/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.dom.svg;

/**
 * Constants for the SVGPathSeg interface
 *
 * @author <a href="mailto:nicolas.socheleau@bitflash.com">Nicolas Socheleau</a>
 * @version $Id: SVGPathSegConstants.java,v 1.1 2003/03/04 18:22:20 nsochele Exp $
 *
 */
public interface SVGPathSegConstants {

public static final String PATHSEG_ARC_ABS_LETTER
    = "A";

public static final String PATHSEG_ARC_REL_LETTER
    = "a";

public static final String PATHSEG_CLOSEPATH_LETTER
    = "z";

public static final String PATHSEG_CURVETO_CUBIC_ABS_LETTER
    = "C";

public static final String PATHSEG_CURVETO_CUBIC_REL_LETTER
    = "c";

public static final String PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER
    = "S";

public static final String PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER
    = "s";

public static final String PATHSEG_CURVETO_QUADRATIC_ABS_LETTER
    = "Q";

public static final String PATHSEG_CURVETO_QUADRATIC_REL_LETTER
    = "q";

public static final String PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER
    = "T";

public static final String PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER
    = "t";

public static final String PATHSEG_LINETO_ABS_LETTER
    = "L";

public static final String PATHSEG_LINETO_HORIZONTAL_ABS_LETTER
    = "H";

public static final String PATHSEG_LINETO_HORIZONTAL_REL_LETTER
    = "h";
    
public static final String PATHSEG_LINETO_REL_LETTER
    = "l";

public static final String PATHSEG_LINETO_VERTICAL_ABS_LETTER
    = "V";

public static final String PATHSEG_LINETO_VERTICAL_REL_LETTER
    = "v";

public static final String PATHSEG_MOVETO_ABS_LETTER
    = "M";

    public static final String PATHSEG_MOVETO_REL_LETTER
        = "m";

}
