/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.swing.gvt;

import java.awt.Graphics;

/**
 * This interface represents an object painted over the GVT rendering
 * in a JGVTComponent.
 *
 * @author <a href="mailto:stephane@hillion.org">Stephane Hillion</a>
 * @version $Id: Overlay.java,v 1.1 2001/03/08 01:21:08 hillion Exp $
 */
public interface Overlay {
    
    /**
     * Paints this overlay.
     */
    void paint(Graphics g);
}
